/* This will have data EXACTLY AS IT COMES FROM THE CHIP
 * But we also want to maintain structure compability with
 * the linux "health" program, by David Ludlow
 */
struct rawdata {
  unsigned char valid;
  char chipid[10];
  int cputemp[2];  		/*VTIN1-VTIN2*/
  unsigned char fanrpm;  	/*FAN*/
  unsigned char fandiv;	/*Divider for FAN*/
  unsigned char volts[7];	/*IN0-IN6*/
  unsigned char vcore;	/*VID0-VID4 bitmapped*/
} ;

