#include <stdio.h>
#include <errno.h>
#include <fcntl.h>

/* @(#) pretty.c 1.1@(#) */

#include "health.h"

void usage(){
	puts("This program will open up /dev/health, and attempt to read");
	puts("temperature #0 usually is cpu temperature");
	puts("temperature #1 is the overall temperature");
}

void printtemp(int rawtemp)
{
	printf("%d\n", (int)rawtemp);
}

main(int argc, char *argv[]){
	int fd;
	struct rawdata data;

	fd=open("/dev/health", O_RDONLY);
	if(fd==-1){
		perror("cannot open dev");
		exit(errno);
	}

	if(read(fd, &data, sizeof(data)) <=0){
		perror("error reading from dev");
	}
	printtemp(data.cputemp[1]);
	printtemp(data.cputemp[0]);
	puts("too long\nlocalhost\n");
}

